﻿namespace ProjectPlane.Entities;
/// <summary>
///  Класс-сущность "Контейнеровоз"
/// </summary>
public class EntityContainer : EntityShip 
{   
    /// <summary>
    /// Цвет контейнера
    /// </summary>
    public Color ContainerColor { get; private set; }

    /// <summary>
    /// Признак наличия контейнера
    /// </summary>
    public bool Container { get; private set; }

    /// <summary>
    /// Признак наличия крана
    /// </summary>
    public bool Crane { get; private set; }

    public EntityContainer(int speed, double weight, Color shipColor, Color containerColor, bool container, bool crane) : base(speed, weight, shipColor)
    {
        ContainerColor = containerColor;
        Container = container;
        Crane = crane;
    }
}
