﻿namespace ProjectPlane.Entities;
public class EntityShip
{
    public int Speed { get; private set; }

    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }

    /// <summary>
    /// Цвет контейнеровоза
    /// </summary>
    public Color ShipColor { get; private set; }

    public double Step => Speed * 100 / Weight;

    public EntityShip(int speed, double weight, Color shipColor)
    {
        Speed = speed;
        Weight = weight;
        ShipColor = shipColor;
    }
}